/// @file analysis/hw_prefetch/watermark.cc

// Copyright (c) 2009 Acumem AB.  All rights reserved.

#include "watermark.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(analysis);

watermark_t
watermark_t::mark(int64_t value) const
{
    watermark_t w = *this;
    if (value > watermark) {
	if (value == watermark + 1) {
	    w.stretch ++;
	    w.watermark = value;
	} else if (value > watermark + reach) {
	    w.stretch = 1;
	    w.watermark = value;
	}
    }
    return w;
}

END_NAMESPACE;
END_NAMESPACE;
