/// @file analysis/misc/process_info.hh

// Copyright (c) 2007-2008 Acumem AB.  All rights reserved.

#ifndef PROCESS_INFO_HH
#define PROCESS_INFO_HH

#include <boost/shared_ptr.hpp>
#include "library/fenris/fenris.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(analysis);

using namespace std;
using namespace acumem::library;

using boost::shared_ptr;

typedef vector<event_mmap_ptr_t> mmap_vector_t;

struct process_info_t {
    event_acquisition_begin_ptr_t acquisition_begin;
    event_acquisition_end_ptr_t acquisition_end;
    mmap_vector_t mmaps;
};

typedef shared_ptr<process_info_t> process_info_ptr_t;

END_NAMESPACE
END_NAMESPACE

#endif
