/** @file library/am_mem/am_mem.h */

/* Copyright (c) 2006-2008, 2010 Acumem AB.  All rights reserved. */

#ifndef AM_MEM_H
#define AM_MEM_H

#include "library/lang/common_macros.h"
#include <stdlib.h>

BEGIN_EXTERN_C;

void *am_malloc(size_t size);
char *am_strdup(const char *str);
char *am_strndup(const char *str, size_t n);
void *am_realloc(void *ptr, size_t size);
void am_free(void *ptr);

END_EXTERN_C;

#endif
