/// @file library/exe_path/path_substitute.hh

// Copyright (c) 2012 Rogue Wave Software.  All rights reserved.

#ifndef PATH_SUBSTITUTE_HH
#define PATH_SUBSTITUTE_HH

#include "library/lang/common_macros.h"

#include <boost/filesystem.hpp>
#include <stdio.h>

namespace fs = boost::filesystem;

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(exe_path);


class path_substitute_t
{
public:
    fs::path substitute(const fs::path &filename) const;
    bool includes_unique_marker(const fs::path &filename) const;
};

END_NAMESPACE;
END_NAMESPACE;

#endif /* PATH_SUBSTITUTE_HH */
