/// @file library/feedback/licensed_feedback.cc

// Copyright (c) 2010 Acumem AB.  All rights reserved.

#include "library/feedback/licensed_feedback.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

licensed_feedback_t::licensed_feedback_t(license_manager_ptr_t license)
    : license(license)
{
}

void
licensed_feedback_t::test_cancel() const
    throw(cancellation_exception_t)
{
    do {
        feedback_base_t::test_cancel();
    } while (!license->check_license(1));
}

END_NAMESPACE;
END_NAMESPACE;
