/// @file library/feedback/licensed_feedback.hh

// Copyright (c) 2010 Acumem AB.  All rights reserved.

#ifndef LICENSED_FEEDBACK_HH
#define LICENSED_FEEDBACK_HH

#include "library/feedback/feedback.hh"
#include "library/license/license.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

using namespace acumem::license;

class licensed_feedback_t
    : public feedback_base_t
{
public:
    licensed_feedback_t(license_manager_ptr_t license);

    void test_cancel() const throw(cancellation_exception_t);

private:
    const license_manager_ptr_t license;
};

END_NAMESPACE;
END_NAMESPACE;

#endif
