/// @file library/fenris/flow_printer.cc

// Copyright (c) 2006-2009 Acumem AB.  All rights reserved.

#include "flow_printer.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

using namespace std;

flow_printer_t::flow_printer_t(ostream &os)
    : os(os)
{
}

flow_status_t
flow_printer_t::flow_init(fnr_features_t features)
{
    os << "flow_init: " << features << endl;
    return FLOW_OK;
}

flow_status_t
flow_printer_t::process_event(const fnr_event_t &event)
{
    os << event << endl;

    return FLOW_OK;
}

END_NAMESPACE;
END_NAMESPACE;
