/// @file library/sym/string_cache.hh

// Copyright (c) 2010 Acumem AB.  All rights reserved.

#ifndef STRING_CACHE_HH
#define STRING_CACHE_HH

#include "library/lang/common_macros.h"
#include "library/lang/common_types.h"

#include <boost/shared_ptr.hpp>

#include <string>

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

using namespace std;
using boost::shared_ptr;

typedef shared_ptr<const string> string_cptr_t;

string_cptr_t string_cache_lookup(const string &s);

END_NAMESPACE;
END_NAMESPACE;

#endif
