/// @file library/sym/sym_binary.hh

// Copyright (c) 2010 Acumem AB.  All rights reserved.

#ifndef SYM_BINARY_HH
#define SYM_BINARY_HH

#include "sym.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);


class sym_binary_t : public sym_base_t {
public:
    sym_binary_t(sym_t &sym,
                 sym_paddr_t base,
                 sym_paddr_t end,
                 const string &filename);

    void lookup_sym_info(sym_paddr_t address, sym_info_ptr_t &sym_info);

private:
    const string_cptr_t filename;
};

END_NAMESPACE;
END_NAMESPACE;

#endif
