/// @file library/sym/sym_elf.hh

// Copyright (c) 2010 Acumem AB.  All rights reserved.

#ifndef SYM_ELF_HH
#define SYM_ELF_HH

#include "function_cache.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

class sym_elf_t : public sym_base_t {
public:
    sym_elf_t(sym_t &sym,
              sym_paddr_t base,
              sym_paddr_t end,
              elf_ptr_t elf_part,
              sym_mpoffs_t load_offset);

    void lookup_sym_info(sym_paddr_t address, sym_info_ptr_t &sym_info);

private:
    function_cache_t function_cache;
};

END_NAMESPACE;
END_NAMESPACE;

#endif
