/// @file library/warning/warning.cc

// Copyright (c) 2007-2009 Acumem AB.  All rights reserved.

#include "warning.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

using namespace std;

warning_base_t::warning_base_t()
{
}

warning_base_t::~warning_base_t()
{
}

generic_warning_t::generic_warning_t(const string &what,
				     severity_t severity)
    : _what(what), _severity(severity)
{
}

generic_warning_t::~generic_warning_t()
{
}

string
generic_warning_t::what() const
{
    return _what;
}

warning_base_t::severity_t
generic_warning_t::severity() const
{
    return _severity;
}


END_NAMESPACE;
END_NAMESPACE;
