/// @file tools/acurate/html_summary.hh

// Copyright (c) 2009 Acumem AB.  All rights reserved.


#ifndef HTML_SUMMARY_HH
#define HTML_SUMMARY_HH

#include <string>
#include "issue.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(acurate);

using namespace std;

/// Emit summary contents
class html_summary_t : public html_util_t {
public:
    static void emit(xml_file_t &xml, html_context_t &html_context);

private:
    static void emit_summary_diagrams(xml_file_t &xml,
				      html_context_t &html_context,
				      int rows);

};

END_NAMESPACE;
END_NAMESPACE;

#endif
