/// @file tools/acurate/html/topleft.hh

// Copyright (c) 2008-2009 Acumem AB.  All rights reserved.

#ifndef HTML_TOPLEFT_HH
#define HTML_TOPLEFT_HH

#include "issue.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(acurate);

class html_topleft_t : public html_util_t {
public:
    html_topleft_t(html_context_t &html_context);
    void emit(xml_file_t &xml);


private:
    void emit_issue_tab(xml_file_t &xml);
    void emit_bandwidth_issue_list(xml_file_t &xml);
    void emit_latency_issue_list(xml_file_t &xml);
    void emit_mt_issue_list(xml_file_t &xml);
    void emit_pollution_issue_list(xml_file_t &xml);
    void emit_loop_table(xml_file_t &xml);
    void emit_summary(xml_file_t &xml);
    void emit_file_list(xml_file_t &xml);
    void emit_execution_statistics(xml_file_t &xml);
    void emit_about(xml_file_t &xml);

    html_context_t &html_context;

};

END_NAMESPACE;
END_NAMESPACE;

#endif
