/// @file tools/sample_gui/paths.hh

// Copyright (c) 2007-2010 Acumem AB.  All rights reserved.

#ifndef PATHS_HH
#define PATHS_HH

#include <glib.h>
#include <string>

class paths_t {
public:
    paths_t();
    ~paths_t();

    std::string prefix_dir;
    std::string bin_dir;
    std::string pkglib_dir;
    std::string pkgdata_dir;
    std::string data_dir;
    std::string acurate_data_dir;

    std::string rw_icon32x32;

    std::string cpudb;

    std::string sample_script;
    std::string report;
    std::string view;
    std::string env_helper;

    std::string browser;
    std::string xterm;

private:
    std::string make_string(gchar *g_string);
    std::string get_app(const char *cmds[]);

    static const char *browsers[];
    static const char *xterms[];
};

#endif
