/// @file library/feedback/feedback.cc

// Copyright (c) 2006-2010 Acumem AB.  All rights reserved.

#include "feedback.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

feedback_base_t::feedback_base_t()
{
    cancel_ = false;
}

feedback_base_t::~feedback_base_t()
{
}

void
feedback_base_t::cancel()
{
    cancel_ = true;
}

bool
feedback_base_t::query_cancel() const
{
    return cancel_;
}

void
feedback_base_t::test_cancel() const throw(cancellation_exception_t)
{
    if (cancel_)
	throw cancellation_exception_t();
}

void
feedback_base_t::reset()
{
}

int
feedback_base_t::add_major_step(const string &message)
{
    return 0;
}

void
feedback_base_t::select_major_step(int step)
{
}

void
feedback_base_t::set_minor_steps(int steps)
{
}

void
feedback_base_t::update(int completed_minor_steps, const string &message)
{
}

void
feedback_base_t::log(log_type_t type, const string &message)
{
}

void
feedback_base_t::update_status(status_t status)
{
}

END_NAMESPACE;
END_NAMESPACE;
