/// @file library/sym/sym_stabs.hh

// Copyright (c) 2007-2008, 2010 Acumem AB.  All rights reserved.

#ifndef SYM_STABS_HH
#define SYM_STABS_HH

#include "function_cache.hh"
#include "statement_cache.hh"

BEGIN_NAMESPACE(acumem);
BEGIN_NAMESPACE(library);

class sym_stabs_t : public sym_base_t {
public:
    sym_stabs_t(sym_t &sym,
                sym_paddr_t base,
                sym_paddr_t end,
		elf_ptr_t elf_part,
		sym_mpoffs_t load_offset,
		int features);

    void lookup_sym_info(sym_paddr_t address, sym_info_ptr_t &sym_info);

private:
    function_cache_t function_cache;
    statement_cache_t statement_cache;
};

END_NAMESPACE;
END_NAMESPACE;

#endif
